
QGIS Application - Bug report #7931

QGIS crashes when clicking "new project" or in program exit if a layer was added with the browser

2013-05-28 12:58 PM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Browser

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 16801

Description

On QGIS master from osgeo4w I'm getting a replicable crash when clicking on "new project -> discard" (or on program exit) if a raster

was added using the browser. Does not happen if the raster was added using the standard dialog or by d&d from a Windows folder. Will

test also Linux.

Tomorrow I will add also the minidump.

Related issues:

Related to QGIS Application - Bug report # 7520: Stop browser from resetting ... Closed 2013-04-05

Associated revisions

Revision fec833f1 - 2013-06-15 06:03 AM - Nathan Woodrow 

Fix crash when creating/loading projects. Fixes #7931

History

#1 - 2013-05-28 04:21 PM - Giovanni Manghi

- Operating System deleted (Windows)

confirmed on Linux

gio@sibirica ~ $ qgis

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Fatal: QGIS died on signal 11

Stacktrace (run through c++filt):

/usr/bin/qgis.bin(Z15myMessageOutput9QtMsgTypePKc+0xac)[0x4e6f4c]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x2e)[0x7fd6e153d41e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x718bf)[0x7fd6e153d8bf]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_Z6qFatalPKcz+0x94)[0x7fd6e153da64]

/lib/x86_64-linux-gnu/libc.so.6(+0x364a0)[0x7fd6dea2e4a0]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x778dac)[0x7fd6e0f76dac]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZNK21QSortFilterProxyModel11mapToSourceERK11QModelIndex+0xd)[0x7fd6e0f76edd]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZNK21QSortFilterProxyModel5flagsERK11QModelIndex+0x76)[0x7fd6e0f75fb6]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN17QAbstractItemView12focusInEventEP11QFocusEvent+0xfd)[0x7fd6e0eec23d]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x323)[0x7fd6e0a19de3]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN6QFrame5eventEP6QEvent+0x26)[0x7fd6e0dda3b6]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QAbstractScrollArea5eventEP6QEvent+0x83)[0x7fd6e0e5c4c3]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN17QAbstractItemView5eventEP6QEvent+0x7b)[0x7fd6e0ef98db]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xb4)[0x7fd6e09c9894]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x113)[0x7fd6e09ce713]

/usr/lib/libqgis_core.so.1.9.0(_ZN14QgsApplication6notifyEP7QObjectP6QEvent+0x96)[0x7fd6e254d696]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8c)[0x7fd6e1646e9c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate14setFocusWidgetEP7QWidgetN2Qt11FocusReasonE+0x356)[0x7fd6e09c8226]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QWidget8setFocusEN2Qt11FocusReasonE+0x1e1)[0x7fd6e0a0cef1]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication15setActiveWindowEP7QWidget+0x4a3)[0x7fd6e09cd293]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0x10b5)[0x7fd6e0a48e95]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2740d2)[0x7fd6e0a720d2]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x133)[0x7fd6dd55ad53]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x480a0)[0x7fd6dd55b0a0]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x7fd6dd55b164]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x6f)[0x7f

6e16763bf]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x273d5e)[0x7fd6e0a71d5e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x32)[0x7fd6e1645c82]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xf7)[0x7fd6e1645ed7]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x87)[0x7fd6e164af67]

/usr/bin/qgis.bin(main+0x229e)[0x4e2efe]

/lib/x86_64-linux-gnu/libc.so.6(_libc_start_main+0xed)[0x7fd6dea1976d]

/usr/bin/qgis.bin[0x4e6cf1]

Aborted (core dumped)

#2 - 2013-05-28 05:30 PM - Larry Shaffer

- File browser_load-layer-then-save_crash-report.txt added

Confirmed here on Mac as well. Not specific to loading rasters though.

1) Open new project

2) Add layers from browser

3) Save project -> crash

This is with loading a known good Spatialite data source. Similar crash report output attached.

#3 - 2013-05-28 05:44 PM - Nathan Woodrow

- Subject changed from QGIS crashes when clicking "new project" or in program exit if a raster was added with the browser to QGIS crashes when 

clicking "new project" or in program exit if a layer was added with the browser

#4 - 2013-05-31 02:14 PM - Giuseppe Sucameli

I doesn't matter if the layer is loaded from browser or not:

1) new project

2) expand an entry in the browser

3) load a layer

4) new project
#5 - 2013-06-14 09:03 PM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"fec833f14553effb2d242f6832c6b17198337987".

#6 - 2013-06-14 09:05 PM - Nathan Woodrow

Should be fixed now.

Files

browser_load-layer-then-save_crash-report.txt 7.51 KB 2013-05-28 Larry Shaffer

2025-05-17 3/3


